Draft: AddPoint

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft AddPoint and the translation is 22% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft AddPoint.svg Draft AddPoint

poziția meniului
Draft → Add Point
Workbenches
Draft, Arch
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul


Descriere

Acest instrument vă permite să adăugați puncte suplimentare la Wires și BSplines.

The counterpart to this tool is the Draft DelPoint operation.

Cum se folosește

  1. Selectați o wire sau o BSpline
  2. Apăsați tasta Draft AddPoint.png Draft AddPoint
  3. Clic un punct pe vederea 3D, sau introduceți coordinate

This functionality is also available from the Draft Edit.svg Draft Edit tool.

Opţiuni

  • Această funcție este disponibilă în instrumentul Draft Edit.png Draft Edit

Script

Scriptul nu este disponibil, dar este ușoară adăugarea de puncte suplimentare la Wires and BSplines, de exemplu:

The Points attribute of a wire or spline is a list with the points that comprise that object; to add points, overwrite this attribute with a longer list of points. You can use methods like append() and insert() to add a new element in the desired position in the list. Each point is defined by its FreeCAD.Vector, with units in millimeters.

Example:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, -400, 0)
p2 = FreeCAD.Vector(2200, -1000, 0)

wire = Draft.makeWire([p1, p2])

p_new = FreeCAD.Vector(1500, 1500, 0)
points = wire.Points
points.insert(1, p_new)

wire.Points = points
FreeCAD.ActiveDocument.recompute()